 datablock PlayerData(TurretstillZombie : TurretArmor)
{
	//category = "Vehicles";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 0;	//total number of bricks you can carry
	maxWeapons = 0;		//this will be controlled by mini-game code
	maxTools = 1;
	runforce = 0 * 90;
	maxForwardSpeed = 0;
	maxBackwardSpeed = 0;
	maxSideSpeed = 0;
	attackpower = 30;
	//jumpsound = "ZombieJumpSound";
	cameradefaultFOV = 120;
	cameraMaxFov = 120;
	cameraMinFov = 10;
	//minlookangle = -1;
	//maxlookangle = -1;
	minLookAngle = -1.5708;
   	maxLookAngle = 1.5708;
	BrickDestroyMaxVolume = 250;
	BrickMaxJumpHeight = 20;
	uiName = "Sentry Hunt-Zombie";
	rideable = true;
	canRide = true;
	BrickKillRadius = 2;
	FollowAnim = "ArmReadyright";
	randomwalk = 1;
	aimatplayer = 1;
	SpecialAttack = 1;
	NoBloodyHands = 1;
	DoNotZombify = 1;
	zombieteam = "Sentry";
	isgoodguy = 1;
	attackpower = 40;
	chance = 100;
	SearchRadius = 100;
	
};
function TurretstillZombie::SpecialAttack(%this,%onshot)
{
	%ran = getrandom(-1,1);
	%this.setmovex(%ran);
	schedule(0,0,TurretstillShootMode,%this);
	schedule(500,0,TurretstillShootMode,%this);
	schedule(1000,0,TurretstillShootMode,%this);
	schedule(1500,0,TurretstillShootMode,%this);
	%this.schedule(2000,clearmovex);
}
function TurretstillShootMode(%this)
{
	if(%this.getstate() !$= "Dead")
	{
		%this.setimagetrigger(0,1);
		%this.setimagetrigger(0,0);
	}
}
function TurretstillZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function TurretstillZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
}
function TurretstillZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function TurretstillZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
function TurretstillZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	//schedule(10,0,Turretstillfy,%obj);
	schedule(15,0,Turretstillfy,%obj);
	//schedule(20,0,ghostifybot,%obj);
	//%obj.playthread(2,armreadyright);
	//%obj.setarmthread(root);
	%obj.mountimage(MCTimage,0);
}



package TurretstillAttackPackage
{
function ProjectileData::onCollision(%this,%obj,%col,%fade,%pos,%normal)
{
	if(isobject(%obj.sourceobject) && %obj.sourceobject.getdatablock().getname() $= "TurretstillZombie")
	{
		//schedule(0,0,PropaneTankDamageF,%this,%obj,%col);
		%source = %obj.sourceobject;

		//echo(%source.getclassname());
		//echo(IsInMiniGame(%source));
		//echo(IsInSameMinigame(%col,%source));
		if(isobject(%obj.sourceobject) && %obj.sourceobject.getclassname() $= "AiPlayer" && IsInMinigame(%obj.sourceobject) && IsInSameMinigame(%col,%source))
		{
			if(%col.client != 0)
			{
				%source.cols = %col.client;
			}
			%col.damage(%obj,0,%obj.getdatablock().directDamage/2,$DamageType::zombiebite);
		}
	}
	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);
}
};
activatepackage(TurretstillAttackPackage);